//
//  AdsDM.swift
//  WOKA
//
//  Created by MacBook Pro on 04/09/24.
//

import Foundation

// MARK: - AdsDM
struct AdsDM: Codable {
    let result: [ResultData]?
    let totalRecords: Int?

    enum CodingKeys: String, CodingKey {
        case result
        case totalRecords = "total_records"
    }
    
    // MARK: - Result
    struct ResultData: Codable {
        let id: Int?
        let title, adCompany: String?
        let bannerImage, buttonImage: String?
        let forPage: String?
        let adLink: String?

        enum CodingKeys: String, CodingKey {
            case id, title
            case adCompany = "ad_company"
            case bannerImage = "banner_image"
            case buttonImage = "button_image"
            case forPage = "for_page"
            case adLink = "ad_link"
        }
    }
}
